# $Revision: 1.10 $, $Date: 2005/07/27 21:48:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	bignum
Summary:	bignum - Transparent BigNumber support for Perl
Summary(pl):	bignum - przezroczysta obsuga wielkich liczb dla Perla
Name:		perl-bignum
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	c206fc40355350733804bfb31c889046
%if %{with tests}
BuildRequires:	perl-Math-BigInt >= 1.74
BuildRequires:	perl(Math::BigFloat) >= 1.48
BuildRequires:	perl-Math-BigRat >= 0.14
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.74
Requires:	perl(Math::BigFloat) >= 1.48
Requires:	perl-Math-BigRat >= 0.14
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package attempts to make it easier to write scripts that use
BigInts/BigFloats in a transparent way. They use the rewritten version
of Math::BigInt and Math::BigFloat, Math::BigRat (for bigrat) and
optionally Math::BigInt::Lite.

It's a great way for writing impressing onliners, which is almost
enough to justify any Perl package ;)

%description -l pl
Ten pakiet uatwia pisanie skryptw uywajcych BigInt/BigFloat w
sposb przezroczysty. Uywaj przepisanej wersji Math::BigInt 
i Math::BigFloat, Math::BigRat (w bigrat) oraz opcjonalnie
Math::BigInt::Lite.

Jest to wietny sposb to pisania jednolinijkowcw, ktre s prawie
wystarczajce do usprawiedliwienia dowolnego pakietu perlowego ;)

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/big*.pm
%{perl_vendorlib}/Math/Big*/Trace.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-bignum.spec,v $
Revision 1.10  2005/07/27 21:48:24  radek
- version 0.17

Revision 1.9  2005/01/03 16:00:33  adamg
- updated to 0.16

Revision 1.8  2004/11/03 21:01:01  paladine
- formatting

Revision 1.7  2004/08/18 22:08:22  havner
- rel 3

Revision 1.6  2004/08/12 17:16:51  radek
- release 2: fixed typo in Requires (Math::BigInt 1.70, not 1.79)

Revision 1.5  2004/05/06 18:43:25  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/04 13:34:33  ankry
- cosmetics

Revision 1.3  2004/03/14 17:15:16  adamg
- updated BuildRequires and Requires

Revision 1.2  2004/03/14 16:56:37  adamg
- updated to 0.15

Revision 1.1  2003/10/09 19:36:22  qboosh
- new
